Skip to main content
curl --request POST 'https://api.mayar.id/hl/v1/installment/create' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data-raw '{
  		"email": "azumiikecee@gmail.com", 
		"mobile": "089961367511",
  		"name": "Azumii",
  		"amount": 1500000,
  		"installment": {
    		"description": "Cicil Produk Kelas Online 3 Bulan", 
    		"interest": 0,
    		"tenure": 3,
    		"dueDate": 11
  			}
		}
'
{
    "statusCode": 200,
    "messages": "Success",
    "data": {
        "id": "ba82c2dd-06c1-4b6c-bc59-a9c00801c842",
        "createdAt": 1755631209521,
        "dueDate": 11,
        "interest": 0,
        "interestType": "FLAT",
        "period": "MONTHLY",
        "tenure": 3,
        "invoices": [
            {
                "id": "9fe1b9c4-b5d5-4d45-bf1a-5c4849631725",
                "amount": 500000,
                "updatedAt": 1755631210118,
                "category": null,
                "status": "unpaid",
                "index": 1,
                "link": "mkcn4u72ki",
                "description": "Cicil Produk Kelas Online 3 Bulan",
                "interestAmount": 0,
                "remainingAmount": 1000000,
                "customerId": "62d1a396-07d8-4d93-a14c-9ec801f3af20",
                "customer": {
                    "id": "62d1a396-07d8-4d93-a14c-9ec801f3af20",
                    "email": "azumiikecee@gmail.com",
                    "mobile": "089961367511",
                    "name": "Azumii"
                }
            },
            {
                "id": "977777d6-af25-464e-a8ca-e290b3007275",
                "amount": 500000,
                "updatedAt": 1755631210119,
                "category": null,
                "status": "unpaid",
                "index": 2,
                "link": "0ll429zxvsue",
                "description": "Cicil Produk Kelas Online 3 Bulan",
                "interestAmount": 0,
                "remainingAmount": 500000,
                "customerId": "62d1a396-07d8-4d93-a14c-9ec801f3af20",
                "customer": {
                    "id": "62d1a396-07d8-4d93-a14c-9ec801f3af20",
                    "email": "azumiikecee@gmail.com",
                    "mobile": "089961367511",
                    "name": "Azumii"
                }
            },
            {
                "id": "1dde3426-f6a4-43d2-a1d9-2cd2fa05eb9a",
                "amount": 500000,
                "updatedAt": 1755631210120,
                "category": null,
                "status": "unpaid",
                "index": 3,
                "link": "h8fiobqkek",
                "description": "Cicil Produk Kelas Online 3 Bulan",
                "interestAmount": 0,
                "remainingAmount": 0,
                "customerId": "62d1a396-07d8-4d93-a14c-9ec801f3af20",
                "customer": {
                    "id": "62d1a396-07d8-4d93-a14c-9ec801f3af20",
                    "email": "azumiikecee@gmail.com",
                    "mobile": "089961367511",
                    "name": "Azumii"
                }
            }
        ]
    }
}
Endpoint:
https://api.mayar.id/hl/v1/installment/create

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Request Body

email
string
required
Customer email used to send proof of payment, or payment reminders
mobile
string
required
Customer telephone number
name
string
required
Customer Name
amount
integer
required
Nominal amount of payment
installment
Object
required
Installment details
description
string
required
General description of the transaction or order.
interest
number | integer
required
Installment interest (%)
tenure
number | integer
required
Installment tenor period (months)
dueDate
number | integer
required
Due date each month

Response

Successful Response

Main Structure (Root Object)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
Main response data.

data Structure (Array Of Object)

id
string<uuid>
Main id.
createdAt
integer
Creation time (timestamp in ms).
dueDate
integer
Due date value (example: 11).
interest
integer
Interest value.
interestType
string
Type of interest (example: "FLAT").
period
string
Installment period (example: "MONTHLY").
tenure
number
Installment duration (in months).
invoices
array of object
List of invoices.

invoices Structure (Array Of Object)

id
string<uuid>
Id of the installment created
amount
integer
Invoice amount.
updatedAt
integer
Last updated time (timestamp in ms).
category
string | null
Invoice category.
status
string
Payment status (example: "unpaid").
index
integer
Invoice order number.
Unique invoice link.
description
string
Invoice description.
interestAmount
integer
Interest amount for the invoice.
remainingAmount
integer
Remaining balance.
ustomerId
string
Customer ID.
customer
array of object
Customer details.

customer Structure (Array Of Object)

id
string<uuid>
Customer ID.
email
string
Customer email address.
mobile
string
Customer phone number.
name
string
Customer name.